%global pypi_name swiftclient
%global _description \
This is a python client for the Swift API. There’s a Python API (the swiftclient module), and a command-line script (swift).

Summary:        OpenStack Object Storage API Client Library
Name:           python-%{pypi_name}
Version:        3.11.1
Release:        4%{dist}
License:        Apache-2.0
URL:            https://docs.openstack.org/python-swiftclient/latest/
Source0:        https://tarballs.openstack.org/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

%description %{_description}

%package -n python3-%{pypi_name}
Summary:        %{summary}

BuildRequires:  python3-devel python3-setuptools python3-pbr python3-pip python3-wheel
BuildRequires:  python3-requests python3-six python3-keystoneclient 

%description -n python3-%{pypi_name} %{_description}

%prep
%autosetup -n %{name}-%{version}

%build
%py3_build

%install
%py3_install

%files -n python3-%{pypi_name}
%{_bindir}/swift
%{python3_sitelib}/*
%{_mandir}/man1/swift.1.gz

%changelog
* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.1-4
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.1-3
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 3.11.1-2
- Rebuilt for OpenCloudOS Stream 23.05

* Thu Apr 13 2023 kianli <kianli@tencent.com> - 3.11.1-1
- initial build
